Subject: bug#25737: 25.1.91; vc-git-log-{incoming,outgoing} fixes

From: Dmitry Gutov <[email-masked]>
Date: Mon, 20 Feb 2017 03:53:24 +0200

On 17.02.2017 06:01, Tom Tromey wrote:

> Dmitry> Do you know when they get called with ""?
> 
> vc-log-outgoing does:
> 
>    (interactive
>     (when current-prefix-arg
>       (list (read-string "Remote location (empty for default): "))))
> 
> So a prefix argument followed by pressing enter.
> 
> Dmitry> Should we maybe just change the callers to always use one or the other
> Dmitry> value?
> 
> Seems reasonable, I'll change vc-log-outgoing.

Thanks.

> As you say, point ends up at eob due to vc-do-command using process-file
> in the synchronous case; whereas for the async case, vc-process-filter
> uses save-excursion.

Yes, and it's a problem we need to fix either way.

> The other behavior seems to be a problem in
> shrink-window-if-larger-than-buffer.  I can reproduce it easily just
> with any buffer by moving point to the end.  I didn't debug this any
> further than finding that.

Might want to look into that sometime. I've tried that in different 
configurations, and 'M-x shrink-window-if-larger-than-buffer' doesn't do 
anything if the buffer is longer than the current window height.

If it's shorter, the window gets shrunk appropriately, with only the 
off-by-one scrolling problem.